Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 272554 - Stabilization of media-sound/amarok-1.4.10_p20090130-r2
Summary: Stabilization of media-sound/amarok-1.4.10_p20090130-r2
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks: 270945
  Show dependency tree
 
Reported: 2009-06-04 08:18 UTC by Theo Chatzimichos (RETIRED)
Modified: 2009-08-08 18:42 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-06-04 08:18:11 UTC
Last amarok for kde3 that we'll release, taken from branch. Please stabilize. Thanks
Comment 1 nixnut (RETIRED) gentoo-dev 2009-06-06 18:13:01 UTC
ppc stable
Comment 2 Christian Faulhammer (RETIRED) gentoo-dev 2009-06-10 21:22:21 UTC
x86 stable
Comment 3 Markus Meier gentoo-dev 2009-06-11 19:49:17 UTC
amd64 stable
Comment 4 François Bissey 2009-06-12 09:49:23 UTC
Hum...
x86 doesn't compile here because the latest stable version of libpcre
(7.9-r1) is stripping /usr/lib/libpcreposix.la .
Here is my compile problem:
/bin/sh ../../../libtool --silent --tag=CXX --mode=link i686-pc-linux-gnu-g++  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -O2 -march=native -fomit-frame-pointer -pipe -fno-strict-aliasing -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION   -Wl,--as-needed -o konqsidebar_universalamarok.la -rpath /usr/kde/3.5/lib/kde3 -module -avoid-version -module -no-undefined -Wl,--no-undefined -Wl,--allow-shlib-undefined -R /usr/kde/3.5/lib -R /usr/kde/3.5/lib -R /usr/qt/3/lib  -L/usr/kde/3.5/lib -L/usr/qt/3/lib     -lkonqsidebarplugin universalamarok.lo amarokdcopiface_stub.lo -lkhtml -lkparts -lkio 
grep: /usr/lib/libpcreposix.la: No such file or directory
/bin/sed: can't read /usr/lib/libpcreposix.la: No such file or directory
libtool: link: `/usr/lib/libpcreposix.la' is not a valid libtool archive
make[4]: *** [konqsidebar_universalamarok.la] Error 1

my emerge --info:
Portage 2.2_rc33 (default/linux/x86/2008.0, gcc-4.3.3, glibc-2.10.1-r0, 2.6.27-gentoo-r8 i686)
=================================================================
System uname: Linux-2.6.27-gentoo-r8-i686-AMD_Athlon-tm-_XP_2600+-with-glibc2.0
Timestamp of tree: Thu, 11 Jun 2009 09:15:02 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.5.4-r2
dev-python/pycrypto: 2.0.1-r6
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.8
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=native -fomit-frame-pointer -pipe -fno-strict-aliasing"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=native -fomit-frame-pointer -pipe -fno-strict-aliasing"
DISTDIR="/media/anthill/portage/distfiles"
FEATURES="collision-protect distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp.citylink.co.nz/gentoo http://mirrors.tds.net/gentoo http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo ftp://mirrors.tds.net/gentoo http://gentoo.eliteitminds.com"
LANG="en_NZ.UTF-8"
LDFLAGS="-Wl,--as-needed"
LINGUAS="en_GB fr"
MAKEOPTS="-j2 VERBOSE=1"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/media/anthill"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/science /usr/local/portage/layman/sunrise /usr/local/portage/layman/qting-edge /usr/local/portage/layman/THE /home/francois/Work/Gentoo-sage"
SYNC="rsync://rsync.au.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext X a52 aac aalib acl acpi alsa amr ao apm asf audiofile berkdb bidi bootsplash branding bzip2 cairo cddb cdf cdparanoia cli composite cracklib crypt cups curl dbus device-mapper dga dmi dri dts dv dvd dvdr dvdread encode exif expat fb fbcon ffmpeg fftw flac fontconfig foomaticdb fortran fpx gdbm geoip gif gimpprint glib glitz glut gmp gpm graphviz gs gstreamer gtk gtk2 hal iconv id3tag idn imagemagick imlib imlib2 ipv6 ipython isdnlog jack java jbig joystick jpeg jpeg2k kde kdehiddenvisibility kpathsea ladspa lame lapack latex lcms libffi libsamplerate lzo mad mathml matroska midi mikmod mime mmx mmx2 mmxext mng motif mp3 mp4 mpeg mplayer mudflap musepack musicbrainz ncurses netcdf network nls nptl nptlonly ogg openal openexr opengl pcre pdf perl png portaudio posix ppds pppd python qt3 qt4 quicktime readline reflection reiserfs sdl session sndfile sox spell spl sqlite3 sse ssl startup-notification svg svga sysfs szip t1lib tcl tcltk tcpd tetex tga theora tiff tk truetype unicode usb v4l2 vcd vidix vorbis wavpack webkit wmf x264 x86 xanim xattr xcb xcomposite xine xinerama xml xorg xpm xsl xv xvid xvmc zeroconf zlib" ALSA_CARDS="cmipci via82xx" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="canon ptp2" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse joystick" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_GB fr" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 5 Tobias Leupold 2009-06-12 11:40:17 UTC
I have exactly the same problem on my amd64 box:

...
/bin/sh ../../../libtool --silent --tag=CXX --mode=link x86_64-pc-linux-gnu-g++  -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -DNDEBUG -DNO_DEBUG -O2 -march=core2 -O2 -pipe -msse4.1 -Wformat-security -Wmissing-format-attribute -Wno-non-virtual-dtor -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION   -Wl,-O1 -o konqsidebar_universalamarok.la -rpath /usr/kde/3.5/lib64/kde3 -module -avoid-version -module -no-undefined -Wl,--no-undefined -Wl,--allow-shlib-undefined -R /usr/kde/3.5/lib64 -R /usr/kde/3.5/lib64 -R /usr/qt/3/lib64 -R /usr/lib64  -L/usr/kde/3.5/lib64 -L/usr/qt/3/lib64 -L/usr/lib64    -lkonqsidebarplugin universalamarok.lo amarokdcopiface_stub.lo -lkhtml -lkparts -lkio
grep: /usr/lib64/libpcreposix.la: No such file or directory
/bin/sed: can't read /usr/lib64/libpcreposix.la: No such file or directory
libtool: link: `/usr/lib64/libpcreposix.la' is not a valid libtool archive
make[4]: *** [konqsidebar_universalamarok.la] Fehler 1


Here's my emerge --info:

Portage 2.2_rc33 (default/linux/amd64/2008.0/desktop, gcc-4.3.3, glibc-2.9_p20081201-r2, 2.6.28.9 x86_64)
=================================================================                                        
System uname: Linux-2.6.28.9-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E8400_@_3.00GHz-with-glibc2.2.5           
Timestamp of tree: Fri, 12 Jun 2009 09:30:01 +0000                                                       
distcc 3.1 x86_64-pc-linux-gnu [disabled]                                                                
app-shells/bash:     3.2_p39                                                                             
dev-java/java-config: 2.1.7                                                                              
dev-lang/python:     2.5.4-r2, 3.0.1                                                                     
dev-util/cmake:      2.6.4                                                                               
sys-apps/baselayout: 2.0.0                                                                               
sys-apps/openrc:     0.4.3-r3                                                                            
sys-apps/sandbox:    1.6-r2                                                                              
sys-devel/autoconf:  2.13, 2.63                                                                          
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2                                                
sys-devel/binutils:  2.18-r3                                                                             
sys-devel/gcc-config: 1.4.1                                                                              
sys-devel/libtool:   1.5.26                                                                              
virtual/os-headers:  2.6.27-r2                                                                           
ACCEPT_KEYWORDS="amd64"                                                                                  
CBUILD="x86_64-pc-linux-gnu"                                                                             
CFLAGS="-march=core2 -O2 -pipe -msse4.1"                                                                 
CHOST="x86_64-pc-linux-gnu"                                                                              
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config" 
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"                                                                                                              
CXXFLAGS="-march=core2 -O2 -pipe -msse4.1"                                                                                
DISTDIR="/usr/src/distfiles"                                                                                              
FEATURES="distlocks fixpackages parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="        http://ftp.uni-erlangen.de/pub/mirrors/gentoo/  http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/        http://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/ "
LANG="de_DE.utf8"
LC_ALL="de_DE.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/var/portage/tree"
PORTDIR_OVERLAY="/var/portage/local /var/portage/experimental /var/portage/layman/x11 /var/portage/layman/kde-testing /var/portage/layman/qting-edge"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X aac acl acpi alsa amd64 bash-completion berkdb bluetooth branding bzip2 cairo cdr cli cracklib crypt cups dbus dri dvd dvdr dvdread eds emboss encode esd evo fam firefox flac fortran gdbm gif gpm gtk hal iconv ipv6 isdnlog jpeg kde ldap libnotify lm_sensors mad midi mikmod mmx mng mp3 mp4 mpeg mudflap multilib ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png ppds pppd python qt3 qt3support qt4 quicktime readline reflection sdl semantic-desktop session spell spl sse sse2 ssl ssse3 startup-notification svg sysfs tcpd theora tiff truetype unicode usb vim-syntax vorbis wmf xine xml xorg xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="intel"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 6 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2009-06-12 13:22:47 UTC
(In reply to comment #4)
(In reply to comment #5)

This is a totally unrelated issue - check bug 266016
Comment 7 Tobias Leupold 2009-06-12 14:45:36 UTC
(just to prevent others to also reply to this bug or not to understand what to do:)

Actually, "revdep-rebuild -i -- -a" fixed it. Thanks for the hint!
Comment 8 Raúl Porcel (RETIRED) gentoo-dev 2009-07-04 15:54:18 UTC
sparc stable, closing
Comment 9 Samuli Suominen gentoo-dev 2009-08-08 18:42:57 UTC
This should have not closed. PPC64 was undone. But there's a new bug now, so removing from CC.